---
title: "Retrieve all running or saved labs for a particular user account"
slug: "retrieve-all-running-or-saved-labs-for-a-particular-user-account-1"
updated: 2025-08-07T14:39:28Z
published: 2025-08-07T14:41:42Z
canonical: "docs.skillable.com/retrieve-all-running-or-saved-labs-for-a-particular-user-account-1"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.skillable.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all running or saved labs for a particular user account

Get/userrunningandsavedlabs

The **UserRunningAndSavedLabs** command retrieves all labs that are currently running or saved for a particular user account.

SecurityAPI Key: api_keyHeader parameter nameapi_key

All methods require an API key, which must be obtained from Skillable. This key is used by Skillable to validate your account. The key can be passed as an HTTP request header with the header name "api_key".

Query parametersuseridstringRequired

The unique identifier used to identify the user in within your organization.

Example555

Responses200

OK Response.

<select class='api-response-data' aria-label='Media type'><option value='ca821fcd-95da-49c9-bcee-967e9e411116'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='c7d74da3-2d56-44e9-a42f-6032c913b412'>Example of retrieving all labs that are currently runni...</option>
</select>Example of retrieving all labs that are currently running or saved for a particular user account

```json
{
  "RunningLabs": [
    {
      "LabInstanceId": 3497,
      "LabProfileId": 5,
      "LabProfileName": "Demo Lab 1",
      "LabProfileNumber": "LAB001",
      "Start": 1338223121,
      "Expires": 1338244721,
      "Url": null,
      "IsExam": false
    }
  ],
  "SavedLabs": [
    {
      "LabInstanceId": 3493,
      "LabProfileId": 1,
      "LabProfileName": "Demo Lab 2",
      "LabProfileNumber": "LAB002",
      "MinutesRemaining": 359,
      "Saved": 1337987655,
      "Expires": 1338592455,
      "SaveInProgress": false,
      "IsExam": false,
      "SubmittedForGrading": false
    }
  ],
  "Status": 1,
  "Error": null
}
```

Expand Allobject  RunningLabs Array of object   

Array of RunningLab objects.

object  LabInstanceIdinteger  (int64)    

The unique identifier of the lab instance.

LabProfileIdinteger  (int32)    

The unique identifier of the lab profile the lab instance is based on.

LabProfileNamestring    

The name of the lab profile the lab instance is based on.

LabProfileNumberstring    

The number/code of the lab profile the lab instance is based on.

Startinteger  (int64)    

When the lab instance was started (in Unix epoch time).

Expiresinteger  (int64)    

When the lab will expire (in Unix epoch time).

Urlstring   | null  

This response property is deprecated. Unless explicitly allowed by Skillable, this field will always be null. To obtain an access URL, use the **LabAccessUrl** command.

IsExamboolean    

Indicates whether the lab is scored.

SavedLabs Array of object   

Array of SavedLab objects.

object  LabInstanceIdinteger  (int64)    

The unique identifier of the lab instance.

LabProfileIdinteger  (int32)    

The unique identifier of the lab profile the lab instance is based on.

LabProfileNamestring    

The name of the lab profile the lab instance is based on.

LabProfileNumberstring    

The number/code of the lab profile the lab instance is based on.

MinutesRemaininginteger  (int32)    

The number of minutes remaining for the student to complete the lab (when resumed).

Savedinteger  (int64)    

When the lab was saved (in Unix epoch time).

Expiresinteger  (int64)    

When the saved lab will expire (in Unix epoch time). The student must resume the lab for this date, or the lab will be deleted.

SaveInProgressboolean    

True/false indicating whether the lab is currently in the process of being saved.

IsExamboolean    

Indicates whether the lab is scored.

SubmittedForGradingboolean    

Indicates whether the lab has been submitted for grading and is in a saved state while awaiting scoring. This will only be true for scored labs.

Statusinteger  (int32)    

Indicates the status of the API request. 0 = Error 1 = Success

Errorstring   | null  

In the event of an error, this will contain a detailed error message.
